Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85702

Summary: redhat-config-packages must be run from terminal
Product: [Retired] Red Hat Linux Reporter: Pierre Sarrazin <sarrazip>
Component: usermodeAssignee: Jindrich Novy <jnovy>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: pknirsch
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-10-07 16:25:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pierre Sarrazin 2003-03-06 06:58:24 UTC
Description of problem:
Nothing happens when I try to run redhat-config-packages
from the GNOME menu.  I tried from a terminal and saw this:

  You are attempting to run "redhat-config-packages" which
  requires administrative privileges, but more information
  is needed in order to do so.
  Password for root:

Version-Release number of selected component (if applicable):
redhat-config-packages-1.0.1-1

How reproducible:
Every time.

Steps to Reproduce:
1. Try to start redhat-config-packages from GNOME menu
    
Actual results:
Nothing.

Expected results:
A GNOME dialog to give the root password.

Additional information:

Anyway, even when I do get the application, it fails to
ask me to insert the RH8 CDs to find the packages I'm
trying to install.

I have just upgraded from RH7.2 to RH8.

Comment 1 Havoc Pennington 2003-03-06 14:50:41 UTC
it works for other people - perhaps the upgrade did not upgrade something...

Do other tools in "system settings" ask for root password via a dialog?

Comment 2 Pierre Sarrazin 2003-03-07 23:02:26 UTC
> Do other tools in "system settings" ask for root password via a dialog?

None of the 5 tools in this menu work.  Clicking on the menu entry
does nothing, but running the corresponding command in a terminal
displays the root password prompt.


Comment 3 Havoc Pennington 2003-03-07 23:10:07 UTC
What versions of "pam" and "usermode"? 
(Run rpm -q pam usermode)

Comment 4 Jindrich Novy 2004-10-07 16:25:59 UTC
This error shouldn't occur with the recent usermode and pam packages
installed properly. I recommend an upgrade to a recent relase. In case
consolehelper fails again to open graphical dialog for the root
password, please ropen this bug.